Subject: Re: Mosquito Plant
From: [email-masked] (January)
Date: 16 Jun 1994 01:12:25 GMT
Newsgroups: bionet.plants

In article <[email-masked]>,
 <[email-masked]> wrote:
>Hello!
>
>   Could anyone out there PLEASE help me.   I recently heard of a
>certain type of plant that repels bugs such as mosquitos and blackflies
>
>I would really like to know the name of this plant and where I could
>get one of them.   What is the mechanism that the plant uses to repel
>these insects (citronella?) and why do the bugs not like this interesting
>little plant?   Please help!
>
>Million thanks, Krystyne

I think the name of the plant is citronella.  It's a scented geranium that
smells like lemons.  I hear lemon thyme works better.
I have no idea if it works or how it works.  Some people say it works if
they rub the leaves of the plant all over their bodies (often).  Others have
had no success with the plant.

Jan